/******************************************************************************
* CSST - Public Interface
*
* Generated by makeapi.pl - Design by Anders B. Jrgensen (anbj@ti.com)
*
*
******************************************************************************/
#ifndef CSST_API_H
#define CSST_API_H

#define DECLEXPORT __stdcall

typedef enum{
    CSST_API_UART,
    CSST_API_USB
}T_CSST_API_LINK_TYPE;

typedef enum{
    CSST_API_BAUD_19200,
    CSST_API_BAUD_28800,
    CSST_API_BAUD_38400,
    CSST_API_BAUD_57600,
    CSST_API_BAUD_115200,
    CSST_API_BAUD_203125,
    CSST_API_BAUD_230400,
    CSST_API_BAUD_406250,
    CSST_API_BAUD_460800,
    CSST_API_BAUD_812500,
    CSST_API_BAUD_921600,
    CSST_API_BAUD_2400,
    CSST_API_BAUD_4800,
    CSST_API_BAUD_9600,
    CSST_API_BAUD_14400
}T_CSST_API_BAUD;

// ODL_proto_head
int DECLEXPORT Init(T_CSST_API_LINK_TYPE linkType, unsigned char portNo, T_CSST_API_BAUD baudRate);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT Deinit(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_pingtrt(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_write(unsigned char I2C_number, unsigned char Device_ID, unsigned short SubAddress, unsigned char SubAddressMode, char * Data);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_read(unsigned char I2C_number, unsigned char Device_ID, unsigned short SubAddress, unsigned char SubAddressMode, unsigned short Size);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_pingcam(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT adc_adc_adc(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT vib_vibon(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT vib_viboff(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_sbon(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_sboff(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_kpon(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_kpoff(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_ason(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_asoff(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT charging_check_voltages(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT charging_AC_charge_test(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT charging_USB_charge_test(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_on_idw(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_on_gsample(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_off(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_fillcolorbar(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_align(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_bit(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_fillclr(char * Color);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_grad(unsigned short Color_1, unsigned short Color_2);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_fill(unsigned short Color);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_backlight(char * on_off);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT cam_start(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT cam_stop(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT keypad_scan(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT keypad_waitkey(char * Key);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT mem_check(unsigned long Address, unsigned long Number_of_bytes, unsigned char Data);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT mem_read(unsigned long Address, unsigned long Bytes);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT mem_write(unsigned long Address, unsigned char Data);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT mem_pin_test_ddr(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT mem_pin_test_psram(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nor_info(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nor_erase(unsigned long Address);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nor_read(unsigned long Address, unsigned long Number_of_bytes_to_read);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nor_write(unsigned long Address, unsigned short Data, unsigned long Num_of_bytes_to_write);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nor_pin(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT cpld_version(unsigned short Version);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT cpld_write(char * Address, unsigned char Data);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT cpld_read(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT cpld_clr_bits(char * Address, unsigned char Data);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT cpld_set_bits(char * Address, unsigned char Data);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT cpld_folder_switch_check(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT tritonvs_tritonvs(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT usb_enumerate(unsigned long Timeout);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT audio_headset_detect(unsigned char Seconds);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT audio_vsif_loopback(unsigned char Path, unsigned char Seconds);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT audio_asif_sinewave(unsigned char Path, unsigned char Seconds);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_rtctest(unsigned char Delay);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_gettime(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_getdate(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_settime(unsigned char Hours, unsigned char Minutes, unsigned char Seconds);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_setdate(unsigned char Day, unsigned char Month, unsigned char Year);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_timer(unsigned char timer);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_sysclk(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT timer_test(unsigned char Timer_No, char * Clk_source, char * Count_Type, unsigned long Value, unsigned long Num_of_Interrupts);
// ODL_proto_tail

#endif /* CSST_API_H */ 
