/******************************************************************************
* CSST - Public Interface
*
* Generated by makeapi.pl - Design by Anders B. Jrgensen (anbj@ti.com)
*
*
******************************************************************************/
#ifndef CSST_API_H
#define CSST_API_H

#define DECLEXPORT __stdcall

typedef enum{
    CSST_API_UART,
    CSST_API_USB
}T_CSST_API_LINK_TYPE;

typedef enum{
    CSST_API_BAUD_19200,
    CSST_API_BAUD_28800,
    CSST_API_BAUD_38400,
    CSST_API_BAUD_57600,
    CSST_API_BAUD_115200,
    CSST_API_BAUD_203125,
    CSST_API_BAUD_230400,
    CSST_API_BAUD_406250,
    CSST_API_BAUD_460800,
    CSST_API_BAUD_812500,
    CSST_API_BAUD_921600,
    CSST_API_BAUD_2400,
    CSST_API_BAUD_4800,
    CSST_API_BAUD_9600,
    CSST_API_BAUD_14400
}T_CSST_API_BAUD;

// ODL_proto_head
int DECLEXPORT Init(T_CSST_API_LINK_TYPE linkType, unsigned char portNo, T_CSST_API_BAUD baudRate);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT Deinit(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT mem_read(unsigned long Memory_Address, unsigned long Byte_Count);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT mem_write(unsigned long Memory_Address, unsigned long Byte_Count, unsigned char Values);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT mem_check(unsigned long Memory_Address, unsigned long Byte_Count, unsigned char Data);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT mem_pin_test_psram(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT mem_pin_test_shadowram(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nand_nandrid(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nand_nandrw(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nor_manfid(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nor_norerase(unsigned long Address);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nor_norread(unsigned long Address, unsigned long Number_of_bytes_to_read);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT nor_norwrite(unsigned long Address, unsigned short Data, unsigned long Num_of_bytes_to_write);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT sibley_info(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT sibley_norerase(unsigned long Address);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT sibley_norread(unsigned long Address, unsigned long Number_of_bytes_to_read);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT sibley_norwrite(unsigned long Address, unsigned short Data, unsigned long Num_of_bytes_to_write);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT sibley_norflash_pintest(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_pingtrt(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_write(unsigned char I2C_number, unsigned char Device_ID, unsigned short SubAddress, unsigned char SubAddressMode, char * Data);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_read(unsigned char I2C_number, unsigned char Device_ID, unsigned short SubAddress, unsigned char SubAddressMode, unsigned short Size);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_pingcam1(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_pingcam4(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_pingfmr(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT i2c_pingfmbt(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT sim_readatr(unsigned char protocol);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT sim_simdtct(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT vib_vibon(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT vib_viboff(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_sbmoddc(unsigned char Drive_current_value, unsigned char Duty_cycle_value);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_sboff(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_sbon(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_kpmoddc(unsigned char Drive_current_value, unsigned char Duty_cycle_value);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_kpoff(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_kpon(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_asmoddc(unsigned char Drive_current_value, unsigned char Duty_cycle_value);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_asoff(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT led_ason(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT adc_adc_adc(unsigned char ADCnumbertoread);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT bb_bbchdis(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT bb_bbchen(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT bb_bbvolt(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT cport_playaud(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT audio_trnhed(unsigned char Seconds);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT audio_trnhnd(unsigned char Seconds);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT audio_hsjdet(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT bci_dischrg(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT bci_fulchen(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT bci_prchen(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT bci_rdbatv(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT bci_rdch8(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT lcd_fill(unsigned short Color);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT keypad_scan(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT keypad_waitkey(char * Key);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT fmradio_shutfm(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT fmradio_tunefm(unsigned char Channel_Number);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT irda_irdard(unsigned char timeout);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT irda_irdawrt(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT camera_capture(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT bt_devsrch(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT tritonvs_tritonvs(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT locostovs_locostovs(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT usd_usd_reset(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_rtctest(unsigned char Delay);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_gettime(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_getdate(void);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_settime(unsigned char Hours, unsigned char Minutes, unsigned char Seconds);
// ODL_proto_tail

// ODL_proto_head
int DECLEXPORT rtc_setdate(unsigned char Day, unsigned char Month, unsigned char Year);
// ODL_proto_tail

#endif /* CSST_API_H */ 
